Bug 1056521 - hadoop: Duplicate artifact hadoop-yarn-server-tests
Summary: hadoop: Duplicate artifact hadoop-yarn-server-tests
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: hadoop
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert Rati
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-22 11:28 UTC by Mikolaj Izdebski
Modified: 2014-02-15 06:56 UTC (History)
3 users (show)

Fixed In Version: hadoop-2.2.0-5.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-15 06:56:16 UTC
Type: Bug


Attachments (Terms of Use)

Description Mikolaj Izdebski 2014-01-22 11:28:18 UTC
Description of problem:
Both hadoop-tests and hadoop-yarn provide the same Maven artifact - hadoop-yarn-server-tests.  It's expected that only one package provides this artifact.

mvn(org.apache.hadoop:hadoop-yarn-server-tests):
  hadoop-tests (hadoop):
    package version:  2.2.0
    provided version: 2.2.0
  hadoop-yarn (hadoop):
    package version:  2.2.0
    provided version: 2.2.0

Version-Release number of selected component (if applicable):
2.2.0-3

Steps to Reproduce:
repoquery -f 'mvn(org.apache.hadoop:hadoop-yarn-server-tests)' | wc -l

Actual results:
2

Expected results:
1

Additional info:
http://fedoraproject.org/wiki/Packaging:Java

Comment 1 Fedora Update System 2014-01-24 23:10:33 UTC
hadoop-2.2.0-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/hadoop-2.2.0-4.fc20

Comment 2 Fedora Update System 2014-01-25 13:54:37 UTC
Package hadoop-2.2.0-4.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing hadoop-2.2.0-4.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-1521/hadoop-2.2.0-4.fc20
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2014-02-03 19:05:46 UTC
hadoop-2.2.0-5.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/hadoop-2.2.0-5.fc20

Comment 4 Fedora Update System 2014-02-15 06:56:16 UTC
hadoop-2.2.0-5.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.